Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354346 - [RFE] Satellite HA Architecture Review
Summary: [RFE] Satellite HA Architecture Review
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure
Version: 6.1.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: Sat6_HA_Tracker
TreeView+ depends on / blocked
 
Reported: 2016-07-11 07:33 UTC by Benjamin Chardi
Modified: 2017-04-25 16:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 18:47:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Benjamin Chardi 2016-07-11 07:33:44 UTC
Description of problem:

We need a confirmation from Red  Hat side that the Satellite HA architecture that we have implemented our Satellite 6.1.9 deployment is compliant with Satellite HA reference architecture and also we need to be sure that it will be compliant in future releases.


Our satellite infra for the moment is composed of  one satellite central  server + 3 capsules with RHEL6 and RHEL7 channels + some custom content (~ 250G on /var/lib/pulp). For the moment we have ~50 clients attached to it but in the next year we will reach more that 30K clients attached.


We are using a F5 load balancer in order to provide an Active-Active HA for the following Capsules service to the clients: puppetmaster, rpm repo (pulp), access to puppet CA and access to tftpboot services. We have written some documentation about the details in how we have do it:

[1] https://mojo.redhat.com/docs/DOC-997168   (just chapter CAPSULES HA, ACTIVE – ACTIVE LOAD BALANCE CLUSTER)
[2] https://mojo.redhat.com/docs/DOC-1059147
[3] https://mojo.redhat.com/people/sgarciam/blog/2015/09/24/pulp-certificate-with-cnames-alt-names-for-satellite-6-capsules


[1] and [2] explains how to do it, but for generating LB ssl certificates we have  used [3] as explained in [2] instead of modifying the satellite installation scripts as described in [1].

So taking into account all this information, we need the confirmation that this Satellite HA architecture is (and will be) fully soported by Red Hat.






We are not doing any kind of HA for satellite server itself


Version-Release number of selected component (if applicable):
Satellite 6.1.9

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Bryan Kearney 2016-07-26 18:55:05 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Stephen Benjamin 2016-12-14 18:47:51 UTC
This isn't a bug, please use support channels for this kind of request.


Note You need to log in before you can comment on or make changes to this bug.